# video-to-gif
## Usage
```
usage: video_to_gif.py [-h] [-w WIDTH] [-r FRAMERATE] [-e] [-t TAG] INPUT [INPUT ...]

Use ffmpeg and gifski to make GIFs from videos

positional arguments:
  INPUT                 input file, supports passing a glob like /Users/MyName/Videos/*.mov

options:
  -h, --help            show this help message and exit
  -w, --width WIDTH     width of the GIF in pixels, respecting aspect ratio (default: 960)
  -r, --framerate FRAMERATE
                        framerate of GIF (default: 12)
  -e, --extra           increase quality at the expense of file size and encoding time
  -t, --tag TAG         optional tag included in file name

— Be gay and do crime
```

## Docker
Docker only works for the video_to_gif.py script.
```sh
docker build -t video_to_gif:latest .
docker run --rm -it video_to_gif --help
docker run -it --rm -v "/Users/MyUsername/Movies/:$PWD" video_to_gif $PWD/my_movie.mov
```